Skip to Content
Customer meter consumption

Invoice All Consumption

Accès

Membre de l’organisation avec cette autorisation :

  • invoices:write

Une clé API avec des scopes doit aussi avoir l’autorisation dans ses scopes.

POST
/orgs/{organizationId}/customers/{customerId}/consumption/invoice

Invoices all outstanding consumption for a customer. Optionally adds items to an existing draft invoice. Optionally filters by specific meter IDs.

Authorization

ApiKeyAuth
headerx-api-key<token>

API key for authentication

Path Parameters

organizationId*string

The ID or slug of the organization

customerId*string

Request Body

application/json
  1. body
invoiceId?string
meterIds?array<string>

Response Body

OK

application/json
  1. response
Example Request
curl -X POST 'https://api.tillor.eu/orgs//customers/string/consumption/invoice' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
null